@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --main-text-color: #1C94C4;
    --main-background-color: #f8f8f8;
}

.bold {
    font-weight: bold;
}

.italic {
    font-style: italic;
}

.pointer {
    cursor: pointer;
}

.fit-content {
    width: fit-content;
}

html, body {
    /* This was copied from the old BSRBR system */
    font-family:
        -apple-system,
        BlinkMacSystemFont,
        "Segoe UI",
        Roboto,
        "Helvetica Neue",
        Arial,
        sans-serif,
        "Apple Color Emoji",
        "Segoe UI Emoji",
        "Segoe UI Symbol";
}

h1, h2, h3, h4, h5, h6 {
    color: var(--main-text-color);
    font-weight: bold;
}

    h1:focus {
        outline: none;
    }

    h1{
        font-size: 1.75em;
    }

    h2{
        font-size: 1.5em;
    }

    h3{
        font-size: 1.25em;
    }

a {
    color: var(--main-text-color);
    text-decoration: none;
    cursor: pointer;
}

    a:hover {
        color: #0056b3;
        text-decoration: underline;
    }

.btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #0069d9;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
    background-color: var(--main-background-color);
    height: 100%;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

a.under-construction, span.under-construction, div.under-construction {
    color: deeppink !important;
    border: 1px dashed black;
}

.btn.under-construction {
    background-color: deeppink !important;
    border-color: darkred !important;
}

input[type="text"], input[type="password"], input[type="number"], input[type="date"], input:not([type]) {
    border: 1px solid #ced4da;
    border-radius: 4px;
    padding: 6px 12px;
}

input[type="radio"]:enabled, input[type="checkbox"]:enabled {
    cursor: pointer;
}

.spinner {
    border: 7px solid silver;
    border-top: 7px solid #337AB7;
    border-radius: 50%;
    aspect-ratio: 1/1;
    animation: spin 700ms linear infinite;
    min-height: 35px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.flex-row {
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 10px;
}

.flex-column {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
}

.success-message {
    border: 1px solid #3C3;
    background-color: #DFD;
    margin-top: 20px;
    padding: 10px;
    border-radius: 5px;
    width: fit-content;
}

.centred-box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.bordered-container {
    border: 2px solid #27A2DB;
    border-radius: 5px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

/*A fix for font awesome icons appearing way too large on first render*/
.svg-inline--fa {
    height: 1em;
}

.alert {
    margin: 0px;
    padding: 0.5em 1em;
    width: fit-content;
}

.btn-toolbar {
    gap: 5px;
}

.form-select, .form-control {
    width: fit-content;
    margin-left: 5px;
}

.centre-vertical {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.side-menu-container {
    display: flex;
    width: 100%;
}

.side-menu {
    min-width: 100px;
    max-width: 205px;
    display: flex;
    flex-direction: column;
    background-color: #eeeeee;
    color: var(--main-text-color);
    max-height: calc(100vh - 146px);
    overflow: auto;
    height: fit-content;
}

.side-menu-heading {
    background-color: #e7e7e7;
    font-weight: bold;
    padding: 5px 10px;
}

.side-menu-item {
    padding: 5px 10px;
}

.side-menu-child-container {
    overflow: auto;
    max-height: calc(100vh - 146px);
    width: 100%;
    margin-left: 10px;
}

.side-menu-button-box {
    padding-top: 10px;
    background-color: var(--main-background-color);
}

.button-box {
    display: flex;
    gap: 10px;
    margin: 10px;
}

.dialog-overlay {
    z-index: 100;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0,0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.dialog {
    width: 750px;
    background-color: white;
    border-radius: 10px;
    padding: 1rem;
}

textarea {
    resize: both;
}

.indicator {
    color: white;
    border-radius: 10px;
    padding: 0px 5px;
    margin-right: 10px;
}

.unread-indicator {
    background-color: #B00000;
}

.prioritised-indicator {
    background-color: blue;
}

.header-question {
    margin: 10px;
}